Module java.desktop
Package javax.swing.plaf

# Class SpinnerUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.SpinnerUI

Direct Known Subclasses:
  `BasicSpinnerUI`, `MultiSpinnerUI`

    public abstract class SpinnerUI
    extends ComponentUI

Pluggable look and feel interface for JSpinner

Since:
  1.4

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`SpinnerUI()` |

## Method Summary

### Methods declared in class javax.swing.plaf.ComponentUI

`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SpinnerUI

public SpinnerUI()